hash_table_t Struct Reference

## Data Fields

hash_entry_t * | table
int32 | size
| Primary hash table, excluding entries that collide.
int32 | inuse
| Primary hash table size, (is a prime#); NOTE: This is the number of primary entries ALLOCATED, NOT the number of valid entries in the table.
int32 | nocase
| Number of valid entries in the table. More...

## Detailed Description

Definition at line 159 of file hash_table.h.

## Field Documentation

## nocase

int32 hash_table_t::nocase

Number of valid entries in the table.

Definition at line 165 of file hash_table.h.

Referenced by hash_table_new().

The documentation for this struct was generated from the following file:

- include/sphinxbase/hash_table.h